# class toResultDepend | This widget displays information about the dependencies of an object specified by the first and second parameter in the query. More...
Definition | `#include <toresultdepend.h>`
Inherits | toResultView [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultDepend (QWidget *parent,const char *name=NULL)
- ~toResultDepend ()
- virtual void query (const QString &sql,const toQList ¶m)
- void query (const QString &sql)
- virtual bool canHandle (toConnection &conn)

#### Public Slots

- void poll (void)

## Detailed Description

This widget displays information about the dependencies of an object specified by the first and second parameter in the query. The sql is not used in the query. It will also recurs through all dependencies of the objects depended on.

toResultDepend (QWidget *parent,const char *name=NULL) | ### toResultDepend

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultDepend () | ### ~toResultDepend

Object destructor.

void query (const QString &sql,const toQList ¶m) | ### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResultView.

void query (const QString &sql) | ### query

Reimplemented for internal reasons.

Reimplemented from toResultView.

bool canHandle (toConnection &conn) | ### canHandle

[virtual]

Support Oracle

Reimplemented from toResultView.

void poll (void) | ### poll

[slot]